Bug 1732066 - checksum-type does not updated on already synced repository at Satellite Capsule.
Summary: checksum-type does not updated on already synced repository at Satellite Caps...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: 6.6.0
Assignee: Samir Jha
QA Contact: Lai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1664288 1695687
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 14:54 UTC by Jitendra Yejare
Modified: 2019-10-22 14:47 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
If you change a checksum type for a custom repository on Satellite Server, the content that is synchronized to Capsule Server does not get updated. To update the content that synchronizes to Capsule, on Satellite, create a new Content View with the repository and synchronize it to Capsule. Note that creating a new version of a Content View and promoting it does not work. You must create a new Content View.
Clone Of: 1664288
Environment:
Last Closed: 2019-10-22 12:47:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27394 Urgent Closed checksum-type does not updated on already synced repository at Satellite Capsule. 2020-07-16 09:42:47 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:10 UTC

Description Jitendra Yejare 2019-07-22 14:54:20 UTC
+++ This bug was initially created as a clone of Bug #1664288 +++

+++ This bug was initially created as a clone of Bug #1288656 +++

Description of problem:

  If the checksum-type for a custom repository is changed on the Satellite, the repodata on the Satellite server works as expected, however the content synced to the Capsule does not get updated. The only way to get it updated, is to create a new content view and sync to the capsule.
Note: that creating a new version and promoting does not work. Must be a complete new content view. 



Version-Release number of selected component (if applicable):
Satellite 6.6 Snap 12

How reproducible:
100%


Steps to Reproduce:
1. Create a product and repository with sha256
2. Add this a lifecycle environment related to a capsule and sync it
3. Use pulp-admin or check the repodata created on the capsule and it will be using sha1256
4. Modify the repository to use sha1 and create a new version for the content view
5. Sync and check the repodata. On the Satellite server, repodata now will have sha1 however the capsule still has sha256

Actual results:

Capsule still has sha256

Expected results:

The capsule must reflect the configuration on the Satellite server 


QE Test: https://github.com/SatelliteQE/robottelo/blob/master/tests/foreman/api/test_contentmanagement.py#L277

Comment 4 Samir Jha 2019-07-23 16:12:31 UTC
Created redmine issue http://projects.theforeman.org/issues/27394 from this bug

Comment 5 Bryan Kearney 2019-08-05 20:07:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27394 has been resolved.

Comment 8 Lai 2019-08-20 18:03:14 UTC
Steps to Test:
1. Create a product and repository with sha256 and sync it.
2. Create a content view and add the repo to it.
3. Publish cv and promote it to the lce of the capsule
4. Use pulp-admin or check the repodata created on both the capsule and satellite
5. Modify repo to use sha1 and sync it.
6. Republish the content view with a new version and promote it to the lce of the capsule
7. Check repodata or capsule and satellite.

Actual results:
Step 4:
Satellite:
<?xml version='1.0' encoding='UTF-8'?>
<repomd xmlns="http://linux.duke.edu/metadata/repo" xmlns:rpm="http://linux.duke.edu/metadata/rpm"><revision>1566323505</revision>
<data type="filelists"><location href="repodata/53ad147149ece4e41c3ed422ebe64da74e3fb110be149a9cf5002160528cc997-filelists.xml.gz"/><timestamp>1566323505</timestamp><size>1995</size><checksum type="sha256">53ad147149ece4e41c3ed422ebe64da74e3fb110be149a9cf5002160528cc997</checksum><open-size>6353</open-size><open-checksum type="sha256">47beec40e3f6a6dacdb96e9b274c200c94b37e4d51fb3b4f3cc4e57a837b9d27</open-checksum></data>
<data type="other"><location href="repodata/798679d3acd0b7ea0ae46093f938499ec82ec63675a1e90420dc91988bfcc79f-other.xml.gz"/><timestamp>1566323505</timestamp><size>1832</size><checksum type="sha256">798679d3acd0b7ea0ae46093f938499ec82ec63675a1e90420dc91988bfcc79f</checksum><open-size>5374</open-size><open-checksum type="sha256">c03a58fdae9aea2a5ac9d7edee4bf20cc1e06ce8fbe1f9adcd4802dc20d7a93d</open-checksum></data>
<data type="primary"><location href="repodata/afb602047177f1a9ee865158180046b432e6919e3a44c92c58d1c8c20ea882ca-primary.xml.gz"/><timestamp>1566323505</timestamp><size>3726</size><checksum type="sha256">afb602047177f1a9ee865158180046b432e6919e3a44c92c58d1c8c20ea882ca</checksum><open-size>31954</open-size><open-checksum type="sha256">581e3a561188adda9ddf2ec3accce8c46995fedff93ffa3b9820c068dd230089</open-checksum></data>
<data type="updateinfo"><location href="repodata/10bc8f928460eef985501f239a80b25cf2a8035bcf247ccf0e2815aaf7d28779-updateinfo.xml.gz"/><timestamp>1566323505</timestamp><size>649</size><checksum type="sha256">10bc8f928460eef985501f239a80b25cf2a8035bcf247ccf0e2815aaf7d28779</checksum><open-size>3787</open-size><open-checksum type="sha256">dc1951ad24c222b761bb215c6e2a7d11f035539d7f3cbab725f9b7ecbfd984e0</open-checksum></data>
<data type="group"><location href="repodata/04b192e874c43ce8310711dfa6d438df43fb36cda68c45e555d355c3736829ef-comps.xml"/><timestamp>1566323505</timestamp><size>2004</size><checksum type="sha256">04b192e874c43ce8310711dfa6d438df43fb36cda68c45e555d355c3736829ef</checksum></data>

Capsule:
<?xml version="1.0" encoding="UTF-8"?>
<repomd xmlns="http://linux.duke.edu/metadata/repo" xmlns:rpm="http://linux.duke.edu/metadata/rpm"><revision>1566323515</revision>
<data type="filelists"><location href="repodata/bc71dc2b1e8f77547fd01a8f858726ce712bfb389c0398eead8b807d9dca78a6-filelists.xml.gz" /><timestamp>1566323515</timestamp><size>1985</size><checksum type="sha256">bc71dc2b1e8f77547fd01a8f858726ce712bfb389c0398eead8b807d9dca78a6</checksum><open-size>6353</open-size><open-checksum type="sha256">254460c8417a1b9e24ce07fe99cc347499b747aadedd227b5a73ab3476cf763b</open-checksum></data>
<data type="other"><location href="repodata/e0136ef53ec79d720a107998ad574eb212987eecf593b77742b9e39370777347-other.xml.gz" /><timestamp>1566323515</timestamp><size>1826</size><checksum type="sha256">e0136ef53ec79d720a107998ad574eb212987eecf593b77742b9e39370777347</checksum><open-size>5374</open-size><open-checksum type="sha256">7e9b8c1d8f9b57c2c8d05c6dacc80acd8dbfd6a7fe0bef54a732b2cdebd42068</open-checksum></data>
<data type="primary"><location href="repodata/33251e2b7b00c9bb8f55c86ca53dc9b0dfa34c83259e65651e2a706f33423c04-primary.xml.gz" /><timestamp>1566323515</timestamp><size>3709</size><checksum type="sha256">33251e2b7b00c9bb8f55c86ca53dc9b0dfa34c83259e65651e2a706f33423c04</checksum><open-size>31954</open-size><open-checksum type="sha256">534e4dc6799ad2582851d1a5e8c1850c85c4cf4ffd336bdab0bcf2e2a1b76e5f</open-checksum></data>
<data type="updateinfo"><location href="repodata/bf73e78198da11f1ebae1386c55eac53e0ae56ebcc9723f002f605ee69640a0d-updateinfo.xml.gz" /><timestamp>1566323515</timestamp><size>649</size><checksum type="sha256">bf73e78198da11f1ebae1386c55eac53e0ae56ebcc9723f002f605ee69640a0d</checksum><open-size>3779</open-size><open-checksum type="sha256">03f1d88b9b4fec1878a21993db343ecb9c72e5b60149c97df98c5243faa87687</open-checksum></data>
<data type="group"><location href="repodata/26f4862f82d44b330ab46dca6bda0124014949259ca247aa112aaf6b87ac5239-comps.xml" /><timestamp>1566323515</timestamp><size>2004</size><checksum type="sha256">26f4862f82d44b330ab46dca6bda0124014949259ca247aa112aaf6b87ac5239</checksum></data>
</repomd>

Step 7:
Satellite:
<?xml version="1.0" encoding="UTF-8"?>
<repomd xmlns="http://linux.duke.edu/metadata/repo" xmlns:rpm="http://linux.duke.edu/metadata/rpm"><revision>1566323963</revision>
<data type="filelists"><location href="repodata/e0fb74cef48280f552216e91eb6cd86a5b4e2eb8-filelists.xml.gz" /><timestamp>1566323963</timestamp><size>1517</size><checksum type="sha1">e0fb74cef48280f552216e91eb6cd86a5b4e2eb8</checksum><open-size>5585</open-size><open-checksum type="sha1">e377816c6c3a9466bf0f5ec0b7d8b986be529921</open-checksum></data>
<data type="other"><location href="repodata/434d9b1c724aa79f513c751e89ebbbb5680db7e3-other.xml.gz" /><timestamp>1566323963</timestamp><size>1362</size><checksum type="sha1">434d9b1c724aa79f513c751e89ebbbb5680db7e3</checksum><open-size>4606</open-size><open-checksum type="sha1">fb42a7b90cb5372eca64206819058578adba0e3e</open-checksum></data>
<data type="primary"><location href="repodata/678d3101fd326164f423d477e739ad858350826e-primary.xml.gz" /><timestamp>1566323963</timestamp><size>3222</size><checksum type="sha1">678d3101fd326164f423d477e739ad858350826e</checksum><open-size>31122</open-size><open-checksum type="sha1">6024bd04313db58e89b56bdd0713e38cc81dacd6</open-checksum></data>
<data type="updateinfo"><location href="repodata/4b31fbce42f6117dc87bc977dff5717a25e976ea-updateinfo.xml.gz" /><timestamp>1566323964</timestamp><size>649</size><checksum type="sha1">4b31fbce42f6117dc87bc977dff5717a25e976ea</checksum><open-size>3787</open-size><open-checksum type="sha1">0bf964b350499e5e276a433f6b7718726fe1e384</open-checksum></data>
<data type="group"><location href="repodata/6ad29b8cd5f88bfd60a3065e955a4647da84280e-comps.xml" /><timestamp>1566323964</timestamp><size>2004</size><checksum type="sha1">6ad29b8cd5f88bfd60a3065e955a4647da84280e</checksum></data>
</repomd>

Capsule:
<?xml version="1.0" encoding="UTF-8"?>
<repomd xmlns="http://linux.duke.edu/metadata/repo" xmlns:rpm="http://linux.duke.edu/metadata/rpm"><revision>1566323999</revision>
<data type="filelists"><location href="repodata/85dd03e1ea53db90f24d6c248a161f499b4e78e3-filelists.xml.gz" /><timestamp>1566323999</timestamp><size>1503</size><checksum type="sha1">85dd03e1ea53db90f24d6c248a161f499b4e78e3</checksum><open-size>5585</open-size><open-checksum type="sha1">afb358a742e3c75942d19ffc9a62b1c1b37a4cc8</open-checksum></data>
<data type="other"><location href="repodata/dc15f24cd4e48a299844f44149d8e6095645e853-other.xml.gz" /><timestamp>1566323999</timestamp><size>1351</size><checksum type="sha1">dc15f24cd4e48a299844f44149d8e6095645e853</checksum><open-size>4606</open-size><open-checksum type="sha1">378af4f5f7247f66f9d59301abda618325796842</open-checksum></data>
<data type="primary"><location href="repodata/2232bd8adb7c60cfa0b226bcc7ebafdec60c71ac-primary.xml.gz" /><timestamp>1566323999</timestamp><size>3194</size><checksum type="sha1">2232bd8adb7c60cfa0b226bcc7ebafdec60c71ac</checksum><open-size>31122</open-size><open-checksum type="sha1">034019dd54d1dea5f7efbbfe27bb84d15cf86120</open-checksum></data>
<data type="updateinfo"><location href="repodata/49725836856041c2ef222eb7cbbd120accc07d20-updateinfo.xml.gz" /><timestamp>1566323999</timestamp><size>649</size><checksum type="sha1">49725836856041c2ef222eb7cbbd120accc07d20</checksum><open-size>3779</open-size><open-checksum type="sha1">67beb6e629d0a12c928c8faff9a4e89aabd764df</open-checksum></data>
<data type="group"><location href="repodata/6ad29b8cd5f88bfd60a3065e955a4647da84280e-comps.xml" /><timestamp>1566323999</timestamp><size>2004</size><checksum type="sha1">6ad29b8cd5f88bfd60a3065e955a4647da84280e</checksum></data>
</repomd>


Expected results step 7:
Step 4:
Satellite:
<?xml version='1.0' encoding='UTF-8'?>
<repomd xmlns="http://linux.duke.edu/metadata/repo" xmlns:rpm="http://linux.duke.edu/metadata/rpm"><revision>1566323505</revision>
<data type="filelists"><location href="repodata/53ad147149ece4e41c3ed422ebe64da74e3fb110be149a9cf5002160528cc997-filelists.xml.gz"/><timestamp>1566323505</timestamp><size>1995</size><checksum type="sha256">53ad147149ece4e41c3ed422ebe64da74e3fb110be149a9cf5002160528cc997</checksum><open-size>6353</open-size><open-checksum type="sha256">47beec40e3f6a6dacdb96e9b274c200c94b37e4d51fb3b4f3cc4e57a837b9d27</open-checksum></data>
<data type="other"><location href="repodata/798679d3acd0b7ea0ae46093f938499ec82ec63675a1e90420dc91988bfcc79f-other.xml.gz"/><timestamp>1566323505</timestamp><size>1832</size><checksum type="sha256">798679d3acd0b7ea0ae46093f938499ec82ec63675a1e90420dc91988bfcc79f</checksum><open-size>5374</open-size><open-checksum type="sha256">c03a58fdae9aea2a5ac9d7edee4bf20cc1e06ce8fbe1f9adcd4802dc20d7a93d</open-checksum></data>
<data type="primary"><location href="repodata/afb602047177f1a9ee865158180046b432e6919e3a44c92c58d1c8c20ea882ca-primary.xml.gz"/><timestamp>1566323505</timestamp><size>3726</size><checksum type="sha256">afb602047177f1a9ee865158180046b432e6919e3a44c92c58d1c8c20ea882ca</checksum><open-size>31954</open-size><open-checksum type="sha256">581e3a561188adda9ddf2ec3accce8c46995fedff93ffa3b9820c068dd230089</open-checksum></data>
<data type="updateinfo"><location href="repodata/10bc8f928460eef985501f239a80b25cf2a8035bcf247ccf0e2815aaf7d28779-updateinfo.xml.gz"/><timestamp>1566323505</timestamp><size>649</size><checksum type="sha256">10bc8f928460eef985501f239a80b25cf2a8035bcf247ccf0e2815aaf7d28779</checksum><open-size>3787</open-size><open-checksum type="sha256">dc1951ad24c222b761bb215c6e2a7d11f035539d7f3cbab725f9b7ecbfd984e0</open-checksum></data>
<data type="group"><location href="repodata/04b192e874c43ce8310711dfa6d438df43fb36cda68c45e555d355c3736829ef-comps.xml"/><timestamp>1566323505</timestamp><size>2004</size><checksum type="sha256">04b192e874c43ce8310711dfa6d438df43fb36cda68c45e555d355c3736829ef</checksum></data>

Capsule:
<?xml version="1.0" encoding="UTF-8"?>
<repomd xmlns="http://linux.duke.edu/metadata/repo" xmlns:rpm="http://linux.duke.edu/metadata/rpm"><revision>1566323515</revision>
<data type="filelists"><location href="repodata/bc71dc2b1e8f77547fd01a8f858726ce712bfb389c0398eead8b807d9dca78a6-filelists.xml.gz" /><timestamp>1566323515</timestamp><size>1985</size><checksum type="sha256">bc71dc2b1e8f77547fd01a8f858726ce712bfb389c0398eead8b807d9dca78a6</checksum><open-size>6353</open-size><open-checksum type="sha256">254460c8417a1b9e24ce07fe99cc347499b747aadedd227b5a73ab3476cf763b</open-checksum></data>
<data type="other"><location href="repodata/e0136ef53ec79d720a107998ad574eb212987eecf593b77742b9e39370777347-other.xml.gz" /><timestamp>1566323515</timestamp><size>1826</size><checksum type="sha256">e0136ef53ec79d720a107998ad574eb212987eecf593b77742b9e39370777347</checksum><open-size>5374</open-size><open-checksum type="sha256">7e9b8c1d8f9b57c2c8d05c6dacc80acd8dbfd6a7fe0bef54a732b2cdebd42068</open-checksum></data>
<data type="primary"><location href="repodata/33251e2b7b00c9bb8f55c86ca53dc9b0dfa34c83259e65651e2a706f33423c04-primary.xml.gz" /><timestamp>1566323515</timestamp><size>3709</size><checksum type="sha256">33251e2b7b00c9bb8f55c86ca53dc9b0dfa34c83259e65651e2a706f33423c04</checksum><open-size>31954</open-size><open-checksum type="sha256">534e4dc6799ad2582851d1a5e8c1850c85c4cf4ffd336bdab0bcf2e2a1b76e5f</open-checksum></data>
<data type="updateinfo"><location href="repodata/bf73e78198da11f1ebae1386c55eac53e0ae56ebcc9723f002f605ee69640a0d-updateinfo.xml.gz" /><timestamp>1566323515</timestamp><size>649</size><checksum type="sha256">bf73e78198da11f1ebae1386c55eac53e0ae56ebcc9723f002f605ee69640a0d</checksum><open-size>3779</open-size><open-checksum type="sha256">03f1d88b9b4fec1878a21993db343ecb9c72e5b60149c97df98c5243faa87687</open-checksum></data>
<data type="group"><location href="repodata/26f4862f82d44b330ab46dca6bda0124014949259ca247aa112aaf6b87ac5239-comps.xml" /><timestamp>1566323515</timestamp><size>2004</size><checksum type="sha256">26f4862f82d44b330ab46dca6bda0124014949259ca247aa112aaf6b87ac5239</checksum></data>
</repomd>

Step 7:
Satellite:
<?xml version="1.0" encoding="UTF-8"?>
<repomd xmlns="http://linux.duke.edu/metadata/repo" xmlns:rpm="http://linux.duke.edu/metadata/rpm"><revision>1566323963</revision>
<data type="filelists"><location href="repodata/e0fb74cef48280f552216e91eb6cd86a5b4e2eb8-filelists.xml.gz" /><timestamp>1566323963</timestamp><size>1517</size><checksum type="sha1">e0fb74cef48280f552216e91eb6cd86a5b4e2eb8</checksum><open-size>5585</open-size><open-checksum type="sha1">e377816c6c3a9466bf0f5ec0b7d8b986be529921</open-checksum></data>
<data type="other"><location href="repodata/434d9b1c724aa79f513c751e89ebbbb5680db7e3-other.xml.gz" /><timestamp>1566323963</timestamp><size>1362</size><checksum type="sha1">434d9b1c724aa79f513c751e89ebbbb5680db7e3</checksum><open-size>4606</open-size><open-checksum type="sha1">fb42a7b90cb5372eca64206819058578adba0e3e</open-checksum></data>
<data type="primary"><location href="repodata/678d3101fd326164f423d477e739ad858350826e-primary.xml.gz" /><timestamp>1566323963</timestamp><size>3222</size><checksum type="sha1">678d3101fd326164f423d477e739ad858350826e</checksum><open-size>31122</open-size><open-checksum type="sha1">6024bd04313db58e89b56bdd0713e38cc81dacd6</open-checksum></data>
<data type="updateinfo"><location href="repodata/4b31fbce42f6117dc87bc977dff5717a25e976ea-updateinfo.xml.gz" /><timestamp>1566323964</timestamp><size>649</size><checksum type="sha1">4b31fbce42f6117dc87bc977dff5717a25e976ea</checksum><open-size>3787</open-size><open-checksum type="sha1">0bf964b350499e5e276a433f6b7718726fe1e384</open-checksum></data>
<data type="group"><location href="repodata/6ad29b8cd5f88bfd60a3065e955a4647da84280e-comps.xml" /><timestamp>1566323964</timestamp><size>2004</size><checksum type="sha1">6ad29b8cd5f88bfd60a3065e955a4647da84280e</checksum></data>
</repomd>

Capsule:
<?xml version="1.0" encoding="UTF-8"?>
<repomd xmlns="http://linux.duke.edu/metadata/repo" xmlns:rpm="http://linux.duke.edu/metadata/rpm"><revision>1566323999</revision>
<data type="filelists"><location href="repodata/85dd03e1ea53db90f24d6c248a161f499b4e78e3-filelists.xml.gz" /><timestamp>1566323999</timestamp><size>1503</size><checksum type="sha1">85dd03e1ea53db90f24d6c248a161f499b4e78e3</checksum><open-size>5585</open-size><open-checksum type="sha1">afb358a742e3c75942d19ffc9a62b1c1b37a4cc8</open-checksum></data>
<data type="other"><location href="repodata/dc15f24cd4e48a299844f44149d8e6095645e853-other.xml.gz" /><timestamp>1566323999</timestamp><size>1351</size><checksum type="sha1">dc15f24cd4e48a299844f44149d8e6095645e853</checksum><open-size>4606</open-size><open-checksum type="sha1">378af4f5f7247f66f9d59301abda618325796842</open-checksum></data>
<data type="primary"><location href="repodata/2232bd8adb7c60cfa0b226bcc7ebafdec60c71ac-primary.xml.gz" /><timestamp>1566323999</timestamp><size>3194</size><checksum type="sha1">2232bd8adb7c60cfa0b226bcc7ebafdec60c71ac</checksum><open-size>31122</open-size><open-checksum type="sha1">034019dd54d1dea5f7efbbfe27bb84d15cf86120</open-checksum></data>
<data type="updateinfo"><location href="repodata/49725836856041c2ef222eb7cbbd120accc07d20-updateinfo.xml.gz" /><timestamp>1566323999</timestamp><size>649</size><checksum type="sha1">49725836856041c2ef222eb7cbbd120accc07d20</checksum><open-size>3779</open-size><open-checksum type="sha1">67beb6e629d0a12c928c8faff9a4e89aabd764df</open-checksum></data>
<data type="group"><location href="repodata/6ad29b8cd5f88bfd60a3065e955a4647da84280e-comps.xml" /><timestamp>1566323999</timestamp><size>2004</size><checksum type="sha1">6ad29b8cd5f88bfd60a3065e955a4647da84280e</checksum></data>
</repomd>

Marked as verify on 6.6.0 snap 16

Comment 10 errata-xmlrpc 2019-10-22 12:47:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.